All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Jan Beulich" <jbeulich@novell.com>
To: xen-devel@lists.xensource.com
Subject: [PATCH] add check for python-devel to tools build
Date: Tue, 21 Nov 2006 16:45:57 +0000	[thread overview]
Message-ID: <45633B55.76E4.0078.0@novell.com> (raw)

Again, this must be given exec permission after applying.

Signed-off-by: Jan Beulich <jbeulich@novell.com>

Index: 2006-11-17/tools/check/check_python_devel
===================================================================
--- /dev/null	1970-01-01 00:00:00.000000000 +0000
+++ 2006-11-17/tools/check/check_python_devel	2006-11-21 12:03:08.000000000 +0100
@@ -0,0 +1,13 @@
+#!/bin/bash
+# CHECK-BUILD
+
+function error {
+    echo
+    echo "  *** Check for python development environment FAILED"
+    exit 1
+}
+
+lib=lib
+test "$(uname -m)" != x86_64 || lib=lib64
+set -e
+[ -e /usr/$lib/python/config/Makefile ] || error

             reply	other threads:[~2006-11-21 16:45 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2006-11-21 16:45 Jan Beulich [this message]
2006-11-21 16:48 ` [PATCH] add check for python-devel to tools build Daniel P. Berrange
2006-11-21 16:51 ` Anthony Liguori
2006-11-21 17:06   ` Ewan Mellor
2006-11-21 17:10     ` Daniel P. Berrange
2006-11-21 17:23       ` Ewan Mellor
2006-11-22  8:10         ` Jan Beulich
2006-11-22  9:20           ` Keir Fraser

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=45633B55.76E4.0078.0@novell.com \
    --to=jbeulich@novell.com \
    --cc=xen-devel@lists.xensource.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.